=== debian/changelog ===
bedops (2.4.20+dfsg-2) unstable; urgency=medium

  * avoid underlinking when linking with --as-needed (Closes: #854003)
        Thanks to ginggs@debian.org 
  * rename starch binary to bedops-starch (Closes: #853892)

 -- Olivier Sallou <osallou@debian.org>  Fri, 03 Feb 2017 11:26:22 +0000

bedops (2.4.20+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #851256)

 -- Olivier Sallou <osallou@debian.org>  Fri, 13 Jan 2017 10:27:13 +0000
