=== debian/control ===
Source: bedops
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper (>= 9),
               help2man,
               libbz2-dev,
               libjansson-dev,
               python-sphinx,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://github.com/bedops/bedops
Vcs-Git: https://anonscm.debian.org/debian-med/bedops.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bedops.git

Package: bedops
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libjs-sphinxdoc,
         tcsh
Description: high-performance genomic feature operations
 BEDOPS is a suite of tools to address common questions raised in genomic
 studies, mostly with regard to overlap and proximity relationships between
 data sets.
 It aims to be scalable and flexible, facilitating the efficient and accurate
 analysis and management of large-scale genomic data.
