## bedops 2.4.26%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,11 @@
 
 gprof: default
 
-install: prep_c install_conversion_scripts install_starchcluster_scripts
+install: prep_c install_conversion_scripts install_starch_scripts
 	-cp ${APPDIR}/sort-bed/bin/sort-bed ${BINDIR}/
+	-cp ${APPDIR}/sort-bed/bin/update-sort-bed-slurm ${BINDIR}/
+	-cp ${APPDIR}/sort-bed/bin/update-sort-bed-starch-slurm ${BINDIR}/
+	-cp ${APPDIR}/sort-bed/bin/update-sort-bed-migrate-candidates ${BINDIR}/
 	-cp ${APPDIR}/bedops/bin/bedops ${BINDIR}/
 	-cp ${APPDIR}/closestfeats/bin/closest-features ${BINDIR}/
 	-cp ${APPDIR}/bedmap/bin/bedmap ${BINDIR}/
@@ -31,6 +34,7 @@
 	-cp ${APPDIR}/starch/bin/starch ${BINDIR}/
 	-cp ${APPDIR}/starch/bin/unstarch ${BINDIR}/
 	-cp ${APPDIR}/starch/bin/starchcat ${BINDIR}/
+	-cp ${APPDIR}/starch/bin/starchstrip ${BINDIR}/
 	-cp ${APPDIR}/conversion/bin/convert2bed ${BINDIR}/
 
 
@@ -42,8 +46,11 @@
 prep_c:
 	mkdir -p ${BINDIR}
 
-install_debug: prep_c install_conversion_scripts install_starchcluster_scripts
+install_debug: prep_c install_conversion_scripts install_starch_scripts
 	-cp ${APPDIR}/sort-bed/bin/debug.sort-bed ${BINDIR}/
+	-cp ${APPDIR}/sort-bed/bin/update-sort-bed-slurm ${BINDIR}/
+	-cp ${APPDIR}/sort-bed/bin/update-sort-bed-starch-slurm ${BINDIR}/
+	-cp ${APPDIR}/sort-bed/bin/update-sort-bed-migrate-candidates ${BINDIR}/
 	-cp ${APPDIR}/bedops/bin/debug.bedops ${BINDIR}/
 	-cp ${APPDIR}/closestfeats/bin/debug.closest-features ${BINDIR}/
 	-cp ${APPDIR}/bedmap/bin/debug.bedmap ${BINDIR}/
@@ -51,10 +58,14 @@
 	-cp ${APPDIR}/starch/bin/debug.starch ${BINDIR}/
 	-cp ${APPDIR}/starch/bin/debug.unstarch ${BINDIR}/
 	-cp ${APPDIR}/starch/bin/debug.starchcat ${BINDIR}/
+	-cp ${APPDIR}/starch/bin/debug.starchstrip ${BINDIR}/
 	-cp ${APPDIR}/conversion/bin/debug.convert2bed ${BINDIR}/
 
-install_gprof: prep_c install_conversion_scripts install_starchcluster_scripts
+install_gprof: prep_c install_conversion_scripts install_starch_scripts
 	-cp ${APPDIR}/sort-bed/bin/gprof.sort-bed ${BINDIR}/
+	-cp ${APPDIR}/sort-bed/bin/update-sort-bed-slurm ${BINDIR}/
+	-cp ${APPDIR}/sort-bed/bin/update-sort-bed-starch-slurm ${BINDIR}/
+	-cp ${APPDIR}/sort-bed/bin/update-sort-bed-migrate-candidates ${BINDIR}/
 	-cp ${APPDIR}/bedops/bin/gprof.bedops ${BINDIR}/
 	-cp ${APPDIR}/closestfeats/bin/gprof.closest-features ${BINDIR}/
 	-cp ${APPDIR}/bedmap/bin/gprof.bedmap ${BINDIR}/
@@ -62,11 +73,14 @@
 	-cp ${APPDIR}/starch/bin/gprof.starch ${BINDIR}/
 	-cp ${APPDIR}/starch/bin/gprof.unstarch ${BINDIR}/
 	-cp ${APPDIR}/starch/bin/gprof.starchcat ${BINDIR}/
+	-cp ${APPDIR}/starch/bin/gprof.starchstrip ${BINDIR}/
 	-cp ${APPDIR}/conversion/bin/gprof.convert2bed ${BINDIR}/
 
-install_starchcluster_scripts: prep_c
+install_starch_scripts: prep_c
 	-cp ${APPDIR}/starch/bin/starchcluster_sge ${BINDIR}/
 	-cp ${APPDIR}/starch/bin/starchcluster_gnuParallel ${BINDIR}/
+	-cp ${APPDIR}/starch/bin/starchcluster_slurm ${BINDIR}/
+	-cp ${APPDIR}/starch/bin/starch-diff ${BINDIR}/
 
 install_conversion_scripts: prep_c
 	-cp ${APPDIR}/conversion/src/wrappers/bam2bed ${BINDIR}/bam2bed
@@ -88,13 +102,18 @@
 	-cp ${APPDIR}/conversion/src/wrappers/vcf2starch ${BINDIR}/vcf2starch
 	-cp ${APPDIR}/conversion/src/wrappers/wig2starch ${BINDIR}/wig2starch
 	-cp ${APPDIR}/conversion/src/wrappers/bam2bed_sge ${BINDIR}/bam2bed_sge
+	-cp ${APPDIR}/conversion/src/wrappers/bam2bed_slurm ${BINDIR}/bam2bed_slurm
 	-cp ${APPDIR}/conversion/src/wrappers/bam2bed_gnuParallel ${BINDIR}/bam2bed_gnuParallel
 	-cp ${APPDIR}/conversion/src/wrappers/bam2starch_sge ${BINDIR}/bam2starch_sge
+	-cp ${APPDIR}/conversion/src/wrappers/bam2starch_slurm ${BINDIR}/bam2starch_slurm
 	-cp ${APPDIR}/conversion/src/wrappers/bam2starch_gnuParallel ${BINDIR}/bam2starch_gnuParallel
 
 install_osx_packaging_bins: prep_c
 	mkdir -p ${OSXPKGDIR}
 	-cp ${APPDIR}/sort-bed/bin/sort-bed ${OSXPKGDIR}/
+	-cp ${APPDIR}/sort-bed/bin/update-sort-bed-slurm ${OSXPKGDIR}/
+	-cp ${APPDIR}/sort-bed/bin/update-sort-bed-starch-slurm ${OSXPKGDIR}/
+	-cp ${APPDIR}/sort-bed/bin/update-sort-bed-migrate-candidates ${OSXPKGDIR}/
 	-cp ${APPDIR}/bedops/bin/bedops ${OSXPKGDIR}/
 	-cp ${APPDIR}/closestfeats/bin/closest-features ${OSXPKGDIR}/
 	-cp ${APPDIR}/bedmap/bin/bedmap ${OSXPKGDIR}/
@@ -102,8 +121,11 @@
 	-cp ${APPDIR}/starch/bin/starch ${OSXPKGDIR}/
 	-cp ${APPDIR}/starch/bin/unstarch ${OSXPKGDIR}/
 	-cp ${APPDIR}/starch/bin/starchcat ${OSXPKGDIR}/
+	-cp ${APPDIR}/starch/bin/starchstrip ${OSXPKGDIR}/
 	-cp ${APPDIR}/starch/bin/starchcluster_sge ${OSXPKGDIR}/starchcluster_sge
 	-cp ${APPDIR}/starch/bin/starchcluster_gnuParallel ${OSXPKGDIR}/starchcluster_gnuParallel
+	-cp ${APPDIR}/starch/bin/starchcluster_slurm ${OSXPKGDIR}/starchcluster_slurm
+	-cp ${APPDIR}/starch/bin/starch-diff ${OSXPKGDIR}/starch-diff
 	-cp ${APPDIR}/conversion/bin/convert2bed ${OSXPKGDIR}/
 	-cp ${APPDIR}/conversion/src/wrappers/bam2bed ${OSXPKGDIR}/bam2bed
 	-cp ${APPDIR}/conversion/src/wrappers/gff2bed ${OSXPKGDIR}/gff2bed
@@ -124,17 +146,19 @@
 	-cp ${APPDIR}/conversion/src/wrappers/vcf2starch ${OSXPKGDIR}/vcf2starch
 	-cp ${APPDIR}/conversion/src/wrappers/wig2starch ${OSXPKGDIR}/wig2starch
 	-cp ${APPDIR}/conversion/src/wrappers/bam2bed_sge ${OSXPKGDIR}/bam2bed_sge
+	-cp ${APPDIR}/conversion/src/wrappers/bam2bed_slurm ${OSXPKGDIR}/bam2bed_slurm
 	-cp ${APPDIR}/conversion/src/wrappers/bam2bed_gnuParallel ${OSXPKGDIR}/bam2bed_gnuParallel
 	-cp ${APPDIR}/conversion/src/wrappers/bam2starch_sge ${OSXPKGDIR}/bam2starch_sge
+	-cp ${APPDIR}/conversion/src/wrappers/bam2starch_slurm ${OSXPKGDIR}/bam2starch_slurm
 	-cp ${APPDIR}/conversion/src/wrappers/bam2starch_gnuParallel ${OSXPKGDIR}/bam2starch_gnuParallel
 	mkdir -p ${OSXLIBDIR}
 
 update_bedops_version:
 ifndef OLD_VER
-	$(error Old version variable OLD_VER is undefined (e.g., 2.4.16))
+	$(error Old version variable OLD_VER is undefined (e.g., 2.4.25))
 endif
 ifndef NEW_VER
-	$(error New version variable NEW_VER is undefined (e.g., 2.4.17))
+	$(error New version variable NEW_VER is undefined (e.g., 2.4.26))
 endif
 ifeq ($(KERNEL), Darwin)
 	sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" README.md
@@ -147,6 +171,14 @@
 	sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" docs/index.rst
 	sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" docs/conf.py
 	sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/conversion/src/convert2bed.h
+	sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/starch/src/starchcluster_gnuParallel.tcsh
+	sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/starch/src/starchcluster_sge.tcsh
+	sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/starch/src/starchcluster_slurm.tcsh
+	sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/starch/src/starch-diff.py
+	sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/starch/src/Makefile.darwin
+	sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/sort-bed/src/update-sort-bed-slurm.py
+	sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/sort-bed/src/update-sort-bed-starch-slurm.py
+	sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/sort-bed/src/update-sort-bed-migrate-candidates.py
 	find docs/content -type f -exec sed -i "" -e "s/"$$OLD_VER"/"$$NEW_VER"/g" {} +
 else
 	sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" README.md
@@ -159,6 +191,14 @@
 	sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" docs/index.rst
 	sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" docs/conf.py
 	sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/conversion/src/convert2bed.h
+	sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/starch/src/starchcluster_gnuParallel.tcsh
+	sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/starch/src/starchcluster_sge.tcsh
+	sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/starch/src/starchcluster_slurm.tcsh
+	sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/starch/src/starch-diff.py
+	sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/starch/src/Makefile.darwin
+	sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/sort-bed/src/update-sort-bed-slurm.py
+	sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/sort-bed/src/update-sort-bed-starch-slurm.py
+	sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" applications/bed/sort-bed/src/update-sort-bed-migrate-candidates.py
 	find docs/content -type f -exec sed -i "s/"$$OLD_VER"/"$$NEW_VER"/g" {} +
 endif
