=== applications/bed/starch/src/Makefile ===
--- 
+++ 
@@ -45,11 +45,11 @@
 STARCH_NAMES              = starchConstants unstarchHelpers starchHelpers starchMetadataHelpers starchFileHelpers starchSha1Digest starchBase64Coding
 STARCH_OBJECTS            = $(addprefix $(LOCALOBJDIR)/, $(addsuffix .o, $(STARCH_NAMES)))
 
-.PHONY: starchcluster starch unstarch starchcat build build_debug build_gprof
+.PHONY: starchcluster starch unstarch starchcat build build_debug build_gprof starch-diff starchstrip
 
-build: starch unstarch starchcat starchcluster
-build_debug: $(BINDIR)/debug.starch $(BINDIR)/debug.unstarch $(BINDIR)/debug.starchcat
-build_gprof: $(BINDIR)/gprof.starch $(BINDIR)/gprof.unstarch $(BINDIR)/gprof.starchcat
+build: starch unstarch starchcat starchcluster starch-diff starchstrip
+build_debug: $(BINDIR)/debug.starch $(BINDIR)/debug.unstarch $(BINDIR)/debug.starchcat $(BINDIR)/debug.starchstrip
+build_gprof: $(BINDIR)/gprof.starch $(BINDIR)/gprof.unstarch $(BINDIR)/gprof.starchcat $(BINDIR)/gprof.starchstrip
 
 # Cancel implicit compilation rules
 % : %.o
@@ -58,7 +58,9 @@
 starch: $(BINDIR)/starch
 unstarch: $(BINDIR)/unstarch
 starchcat: $(BINDIR)/starchcat
-starchcluster: $(BINDIR)/starchcluster_gnuParallel $(BINDIR)/starchcluster_sge
+starchcluster: $(BINDIR)/starchcluster_gnuParallel $(BINDIR)/starchcluster_sge $(BINDIR)/starchcluster_slurm
+starch-diff: $(BINDIR)/starch-diff
+starchstrip: $(BINDIR)/starchstrip
 
 $(BINDIR)/% : %.c $(LOCALSTARCHLIB) $(LIBRARIES)
 	mkdir -p $(BINDIR)
@@ -76,6 +78,10 @@
 	${CXX} ${CXXGFLAGS} $(LOCALOBJDIR)/$*.o -o $@ ${LOCALSTARCHLIB} ${LIBRARIES}
 
 $(BINDIR)/% : %.tcsh
+	mkdir -p $(BINDIR)
+	cp $< $@
+
+$(BINDIR)/% : %.py
 	mkdir -p $(BINDIR)
 	cp $< $@
