=== debian/changelog ===
bedops (2.4.26+dfsg-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Wed, 21 Jun 2017 12:03:13 +0000
