=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                help2man,
                libbz2-dev,
                libjansson-dev,
+               libjs-mathjax, 
                python-sphinx,
                zlib1g-dev
 Standards-Version: 3.9.8
@@ -18,6 +19,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
          libjs-sphinxdoc,
+         libjs-mathjax,
+         python,
          tcsh
 Description: high-performance genomic feature operations
  BEDOPS is a suite of tools to address common questions raised in genomic
