=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 override_dh_installdocs:
 	cd docs && make html
 	cp -r docs/_build/html debian/bedops/usr/share/doc/bedops/
+	find debian/bedops/usr/share/doc/bedops/html/content/usage-examples -type f | xargs sed -i 's;https://cdn.mathjax.org/mathjax/latest/MathJax.js;../../_static/mathjax.js;g'
+	find debian/bedops/usr/share/doc/bedops/html/content -type f | xargs sed -i 's;https://cdn.mathjax.org/mathjax/latest/MathJax.js;../_static/mathjax.js;g'
+	find debian/bedops/usr/share/doc/bedops/html -type f | xargs sed -i 's;https://cdn.mathjax.org/mathjax/latest/MathJax.js;_static/mathjax.js;g'
+	ln -s /usr/share/javascript/mathjax/MathJax.js  debian/bedops/usr/share/doc/bedops/html/_static/mathjax.js
 	dh_installdocs
 
 override_dh_installman:
