## bedops 2.4.35%2Bdfsg

=== debian/changelog ===
bedops (2.4.35+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 17 Oct 2018 11:10:47 +0200

bedops (2.4.35+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Wed, 23 May 2018 17:43:00 +0200

bedops (2.4.32+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * less debug info to avoid running out of address space
    Closes: #894156

  [ Andreas Tille ]
  * bedops-doc: Breaks: bedops (<= 2.4.32) (due to separated documentation)
    Closes: #894143

 -- Andreas Tille <tille@debian.org>  Tue, 27 Mar 2018 10:10:36 +0200

bedops (2.4.32+dfsg-1) unstable; urgency=medium

  * Team upload.
  
  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added references to registries.
    - Worked towards yamllint-cleanliness.
  
  [ Andreas Tille ]
  * New upstream version
  * cme fix dpkg-control
  * debhelper 11
  * DEP5 fix
  * hardening=+all
  * Fix MathJax replacement
  * Build-Depends: s/python-sphinx/python3-sphinx/
    (this needs also python3-distutils)
  * Create separate doc package to avoid arch-dep-package-has-big-usr-share
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Tue, 20 Mar 2018 15:43:55 +0100
